import { SecureBucket, SecureBucketEncryption, SecureObjectOwnership } from '@gammarers/aws-secure-bucket';
import { Construct } from 'constructs';
export interface SecureLogBucketProps {
    readonly bucketName?: string;
    readonly encryption?: SecureBucketEncryption;
    readonly changeClassTransition?: StorageClassTransitionProperty;
    readonly objectOwnership?: SecureObjectOwnership;
}
export interface StorageClassTransitionProperty {
    readonly infrequentAccessDays: number;
    readonly intelligentTieringDays: number;
    readonly glacierDays: number;
    readonly deepArchiveDays: number;
}
export declare class SecureLogBucket extends SecureBucket {
    constructor(scope: Construct, id: string, props?: SecureLogBucketProps);
}
